DotsDocs
Payout agents

List Payout Agent Balance Movements

List the allocations and reclaims of a payout agent, newest first.

GET
/v2/payout-agents/{payout_agent_id}/balance-movements

List the allocations and reclaims of a payout agent, newest first.

AuthorizationBasic <token>

In: header

Path Parameters

payout_agent_id*string

ID of the payout agent.

Formatuuid

Query Parameters

limit?integer

A limit on the number of objects to be returned, between 1 and 100.

starting_after?string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include starting_after=aaa in order to fetch the next page of the list.

Formatuuid
ending_before?string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include ending_before=aaa in order to fetch the previous page of the list.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/payout-agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/balance-movements"
{  "has_more": true,  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "object": "payout_agent_balance_movement",      "payout_agent_id": "79fb14fc-ce5a-4ca6-83f8-93ffe10240da",      "type": "allocation",      "amount": 0,      "status": "string",      "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58",      "metadata": null,      "created": "2019-08-24T14:15:22Z"    }  ]}